手机版
你好,游客 登录 注册
背景:
阅读新闻

Ubuntu 8.10上Qt Creator编译发生ld连接错误解决办法

[日期:2009-07-10] 来源:blog.sina.com.cn/chenjinming  作者:chenjinming [字体: ]

Ubuntu 8.10上安装了Qt4.5.2 2009.03开源版本的Qt,运行Qt Creator,新建一个基于对话框的工程后,编译链接,出现如下错误:

/usr/bin/ld: cannot find -lfreetype

需要安装libfreetype6-dev:

sudo apt-get install libfreetype6-dev

成功安装后,又出现如下错误:

/usr/bin/ld: cannot find -lgobject

安装libgtk2.0-dev后问题得到彻底解决:

sudo apt-get install libgtk2.0-dev

linux
相关资讯       Ubuntu 8.10 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款